﻿using Newtonsoft.Json;
using System.Net;

namespace NetBootServerCore.Components.Http.Processors.WebApi;

public class IpAddressStringJsonConverter : JsonConverter
{
    public static JsonConverter Instance { get; } = new IpAddressStringJsonConverter();

    public override bool CanConvert(Type objectType) => objectType == typeof(IPAddress);

    public override bool CanRead => false;

    public override void WriteJson(JsonWriter writer, object value, JsonSerializer serializer) => writer.WriteValue(value?.ToString());

    public override object ReadJson(JsonReader reader, Type objectType, object existingValue, JsonSerializer serializer) => throw new NotImplementedException();
}
