﻿namespace NetBootServerCore.Components.Logging
{
    public class LogEntry
    {
        private static int _logSeed;
        public int Id { get; } = Interlocked.Increment(ref _logSeed);

        public LogEntry(string tag, LogLevel level, string message, string details)
        {
            Tag = tag;
            Level = level;
            Message = message;
            Details = details;
        }

        public DateTime Time { get; } = DateTime.Now;
        public LogLevel Level { get; }
        public string Tag { get; }
        public string Message { get; }
        public string Details { get; }
    }
}
