﻿namespace NetBootServerCore.Components.Logging
{
    public class Logger
    {
        public string Tag { get; }

        public Logger(string tag) => Tag = tag;

        public void LogDebug(string message, string details) => LogPool.Append(new LogEntry(Tag, LogLevel.Debug, message, details));

        public void LogDebug(string message, Exception exception = null) => LogDebug(message, exception?.ToString());


        public void LogVerbose(string message, string details = null) => LogPool.Append(new LogEntry(Tag, LogLevel.Verbose, message, details));

        public void LogInfo(string message, string details = null) => LogPool.Append(new LogEntry(Tag, LogLevel.Info, message, details));

        public void LogWarn(string message, string details = null) => LogPool.Append(new LogEntry(Tag, LogLevel.Warn, message, details));

        public void LogError(string message, string details) => LogPool.Append(new LogEntry(Tag, LogLevel.Error, message, details));

        public void LogError(string message, Exception exception = null) => LogError(message, exception?.ToString());

        public void LogFatal(string message, string details) => LogPool.Append(new LogEntry(Tag, LogLevel.Fatal, message, details));

        public void LogFatal(string message, Exception exception = null) => LogFatal(message, exception?.ToString());
    }
}
