﻿using System.Net;

namespace NetBootServerCore.Components.NetBoot.Dhcp.Pools;

public class AddressPool
{
    public AddressPool(IPAddress poolStart, int poolSize)
    {
        var slots = new AddressPoolSlot[poolSize];
        slots[0] = new AddressPoolSlot(poolStart);
        for (var i = 1; i < poolSize; i++) slots[i] = new AddressPoolSlot(slots[i - 1].Address.NextAddress());
        Slots = slots;
    }

    public IReadOnlyCollection<AddressPoolSlot> Slots { get; }


}
