﻿using System.Diagnostics;
using System.Net;

namespace NetBootServerCore.Components.NetBoot.Dhcp.Pools;

[DebuggerDisplay("{" + nameof(Address) + "} - {" + nameof(Mac) + "}")]
public class AddressPoolSlot
{
    public IPAddress Address { get; }

    public AddressPoolSlot(IPAddress address) => Address = address;

    public string Mac { get; set; }

    public string HostName { get; set; }
    public string Vendor { get; set; }
    public DateTime? LastUpdateTime { get; set; }
    public bool IsAssign { get; set; }
}
