﻿using System.Net;
using System.Net.Sockets;

namespace NetBootServerCore.Components.NetBoot.Dhcp.Pools;

public static class ExtensionMethods
{
    public static IPAddress NextAddress(this IPAddress address, uint increment = 1)
    {
        if (address.AddressFamily != AddressFamily.InterNetwork) throw new NotSupportedException();

        var bytes = address.GetAddressBytes();

        var value =
            (uint)bytes[0] << 24 |
            (uint)bytes[1] << 16 |
            (uint)bytes[2] << 8 |
            (uint)bytes[3];

        value += increment;

        bytes[0] = (byte)(value >> 24);
        bytes[1] = (byte)(value >> 16);
        bytes[2] = (byte)(value >> 8);
        bytes[3] = (byte)value;

        return new IPAddress(bytes);
    }
}